#
# spec file for package clucene-core (Version 0.9.21)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           clucene-core
%define pkg_name clucene-core
Version:        0.9.21
Release:        3.2
License:        The Apache Software License
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  doxygen gcc-c++
Url:            http://clucene.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/clucene/%{pkg_name}-%{version}-stripped.tar.bz2
Summary:        CLucene is a C++ port of Lucene

%description
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++. CLucene is faster than
lucene as it is written in C++.



Authors:
--------
    Doug Cutting
    John Wheeler
    Robert G. Ristroph
    David Rushby
    Jimmy Pritts
    Peter Edwards
    Jorge Sabater Redondo
    Daniel Glassey
    Peter Gladkikh
    Pedja
    Peter Hodges
    Ben van Klinken

%package devel
License:        The Apache Software License
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
#
Summary:        CLucene is a C++ port of Lucene

%description devel
CLucene is a C++ port of Lucene. It is a high-performance,
full-featured text search engine written in C++. CLucene is faster than
lucene as it is written in C++.



Authors:
--------
    Doug Cutting
    John Wheeler
    Robert G. Ristroph
    David Rushby
    Jimmy Pritts
    Peter Edwards
    Jorge Sabater Redondo
    Daniel Glassey
    Peter Gladkikh
    Pedja
    Peter Hodges

%prep
%setup -q -n %{pkg_name}-%{version}
if [ -e test/data ]; then
    echo "test/data is not allowed to be distributed."
    echo "see #253602"
    exit -1
fi

%build
./autogen.sh
%configure --disable-static
%{__make} %{?jobs:-j %jobs}

%check
%{__make} check || true

%install
%makeinstall
mv %{buildroot}%{_libdir}/CLucene/* %{buildroot}%{_includedir}/CLucene/
%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libclucene.so.*
%doc doc/*htm doc/*.jpg
%doc README* APACHE.license AUTHORS COPYING HACKING README REQUESTS

%files devel
%defattr(-,root,root,-)
%{_includedir}/CLucene.h
%{_includedir}/CLucene/
%dir %{_libdir}/CLucene/
%{_libdir}/libclucene.la
%{_libdir}/libclucene.so

%changelog
* Sun Sep 21 2008 stbinner@suse.de
- update to 0.9.21: no changelog available
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Oct  9 2007 dmueller@suse.de
- update to 0.9.20:
  * no changelog available
* Mon Mar 12 2007 dmueller@suse.de
- disable static libs
- remove reuters test data from tarball (#253602)
* Fri Mar  9 2007 dmueller@suse.de
- Initial package (0.9.16, taken from server:search)
